# PRACTICE GUIDE

A generic version of the Practice Guide for Computer 
without the dependency on LaTeX.

View original here:
https://codeberg.org/oneirophage/practice-guide-for-computer

## YOU WILL NEED

- m4: change MUSIC to COMPUTER. (Note to self: Why not just use sed?) https://www.gnu.org/software/m4/manual/m4.html
- groff: pdf output. https://www.gnu.org/software/groff/manual/groff.html
- mustache: for templating. https://mustache.github.io/
- xq: a wrapper for jq that adds support for xml. https://kislyuk.github.io/yq/#xml-support

## YOU WILL FIND HERE

```
.
├── README.md
├── guide.pdf
├── justfile
└── src
    ├── guide.tmac
    ├── guide.tmpl
    └── guide.xml

2 directories, 6 files
```

1. README.md: you're reading it!
2. guide.pdf: the output
3. justfile: build command
4. guide.tmac: some groff helper macros
5. guide.tmpl: the mustache template that creates the groff
6. guide.xml: the actual document source
